#include "xd3dbasetexture.h"

XD3DBaseTexture::XD3DBaseTexture()
    : XAsset()
    , mMipFlush(0)
    , mFormat()
    , mResource()
{
    SetName("D3D Base Texture");
}

void XD3DBaseTexture::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XD3DBaseTexture::ParseData
}

void XD3DBaseTexture::Clear()
{
    mMipFlush = 0;
    mFormat.Clear();
    mResource.Clear();
}
